- name: database | snmpd | get script
  git:
    repo: "https://github.com/bucardo/check_postgres.git"
    dest: "~/check_postgres"

- name: database | snmpd | prepare script
  command:
    cmd: "perl Makefile.PL"
    creates: "~/check_postgres/Makefile"
    chdir: "~/check_postgres"

- name: database | snmpd | build script
  command:
    cmd: "make"
    chdir: "~/check_postgres"
    creates: "~/check_postgres/pm_to_blib"

- name: database | snmpd | install script
  command:
    cmd: "make install"
    chdir: "~/check_postgres"
    creates: "/usr/local/bin/check_postgres.pl"
  become: true
